Bug 146853 - Documentation and installer shortcoming
Documentation and installer shortcoming
Status: CLOSED WONTFIX
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
360
noarch Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McCune
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-01 22:04 EST by Tsai Li Ming
Modified: 2009-08-21 18:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-21 18:20:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tsai Li Ming 2005-02-01 22:04:09 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
1. The satellite guide available on rhn states the following: "For
installing Red Hat Enterprise Linux AS 3 Update 3 via CD or ISO image,
select the following package groups: Web Server" This is under 2.1
Software Requirements. 

In the install script (install.sh), httpd is removed along with all
others apache modules. A satellite version of apache is installed at a
later stage. Furthermore, if there�s httpd-devel installed, the script
will fail. 

Why does the documentation request that administrators install the web
server group in the first place? 

If this is about dependencies, satellite server should carry its own
httpd and dependencies and state the following in the documentation:
    - httpd should not be installed
    - satellite server will install its own httpd 



2. PHP is being removed without any prior warning. This is not
included in the documentation too.

##  
## make sure PHP is not installed. screws up the web stuff for some
## reason (this is such a hack... good enough for now)
##
pkgs=$(rpm -qa |  egrep '(php|piranha)')
if [ -n "$pkgs" ]; then
    echo
    echo "** Removing php and php-related packages"
    echo "executing: rpm -e $pkgs"
    rpm -e $pkgs
fi


3. install script is not robust enough. There were several instances
when the oracle install/database scripts exited with an error, however
the main install script does not detect this and assume that it had
succeeded. 
Maybe [ $? �eq 0 ] is missing?





Version-Release number of selected component (if applicable):
rhn-satellite-3.6.0-106-redhat-linux-as-i386-3-embedded-oracle.iso
Comment 1 Robin Norwood 2006-10-17 12:51:14 EDT
mass reassign to mmccune
Comment 2 Clifford Perry 2009-08-21 18:20:57 EDT
Satellite 3.x has EOL'd. Closing this bug out. 

http://www.redhat.com/security/updates/satellite/

Regards,
Cliff

Note You need to log in before you can comment on or make changes to this bug.